Subject: bug#73976: 31.0.50; King Features comics JPEG misrendered

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Oct 2024 09:59:02 +0300

> From: Eric Gillespie <[email-masked]>
> Date: Wed, 23 Oct 2024 16:03:05 -0500
> 
> This is not new in emacs 30; I first noticed the problem in
> emacs 29.
> 
> 1. Load any King Features comic in a browser such as Firefox,
>    e.g. https://www.usatoday.com/comics/?content_id=bba01&feat_name=beetlebailey
> 2. Grab the image URL (e.g. https://adn.kingfeatures.net/?a=4478135.jpg)
> 3. Load it in emacs e.g. M-x eww RET https://adn.kingfeatures.net/?a=4478135.jpg RET
> 4. Or download it and open it locally with find-file
> 
> Expected:
> Emacs renders the comic properly.
> 
> Actual:
> All the black is missing.  Possibly other problems.
> 
> I don't know what it is about these JPEGs in particular.  I don't
> see this anywhere else.  The WEBP format of the same comics from
> comicskingdom.com work just fine.

Looks like some problem with libjpeg: I can only see the problem if I
disable the use of MS-Windows native image APIs (which forces Emacs to
use libjpeg instead).  With the default setting of
w32-use-native-image-API on MS-Windows the saved image displays
correctly.